<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    package="com.develop.setting">

    <uses-permission android:name="android.permission.REBOOT" />
    <uses-permission
        android:name="android.permission.WRITE_SETTINGS"
        tools:ignore="ProtectedPermissions" />

    <uses-permission android:name="android.permission.INTERNET" />

    <uses-permission android:name="android.permission.ACCESS_WIFI_STATE" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />

    <uses-permission android:name="android.permission.CHANGE_WIFI_STATE" />
    <uses-permission android:name="android.permission.CHANGE_NETWORK_STATE" />

    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />

    <application>
        <activity android:name=".init.ui.PowerAnimationActivity" />
        <activity android:name=".init.ui.LanguageActivity" />
        <activity
            android:name=".init.ui.ScreensaverActivity"
            android:launchMode="singleTop" />
        <activity android:name=".init.ui.PrivacyPolicyActivity" />
        <activity android:name=".init.ui.WifiListActivity" />
        <activity android:name=".init.ui.SettingMainActivity"
            android:exported="true">
            <intent-filter>
                <category android:name="android.intent.category.DEFAULT" />
            </intent-filter>
        </activity>
        <activity android:name=".init.ui.BrightnessActivity" />
        <activity android:name=".init.ui.SoundActivity" />
        <activity android:name=".init.ui.TuyaActivity" />
        <activity android:name=".init.ui.AboutActivity" />
        <activity android:name=".init.ui.RestoreActivity" />
    </application>
</manifest>